﻿using System;
using System.Collections.Generic;
namespace MySystem
{
    public class DbScheme
    {
        public int TableId { get; set; }
        public string TableEnName { get; set; }
        public string TableName { get; set; }
        public ulong IsTask { get; set; }
        public List<DbColumn> Columns { get; set; }
    }

    public class DbColumn
    {
        public int Id { get; set; }
        public int DatabaseId { get; set; }
        public int TableId { get; set; }
        public string ColumnName { get; set; }
        public string ColumnEnName { get; set; }
        public string ColumnType { get; set; }
        public string ColumnLength { get; set; }
        public string Control { get; set; }
        public string Col { get; set; }
        public string ColList { get; set; }
        public ulong ShowTitle { get; set; }
        public ulong ShowQuery { get; set; }
        public ulong ShowEdit { get; set; }
        public string DataRule { get; set; }
        public string TabName { get; set; }
        public string PicRuleNote { get; set; }
        public ulong IsPrimaryKey { get; set; }
        public ulong IsExcel { get; set; }
        public ulong CheckRepeat { get; set; }
        public string RelationData { get; set; }
        public int Status { get; set; }
        public int LinkTableId { get; set; }
        public int LinkColumnId { get; set; }
        public ulong IsTask { get; set; }
    }
}